APIInference
Inference Connections_models
The models this connection can serve: the provider's own list, filtered for known providers, or a fixed list for a sign-in connection.
GET
The models this connection can serve: the provider's own list, filtered for known providers, or a fixed list for a sign-in connection.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_inferenceconnection_id*stringFormat
uuidThe request has succeeded.
application/json- response
models*array<>Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/inference/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/models'Example Response
{ "models": [ { "id": "string", "name": "string" } ]}